3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php try { try { try { try { try{ try{ throw new Exception('hi', 1); } Catch (Exception $e) { throw new Exception('hi', 2, $e); } } Catch (Exception $e) { throw new Exception('hi', 3, $e); } } Catch (Exception $e) { throw new Exception('hi', 4, $e); } } Catch (Exception $e) { throw new Exception('hi', 5, $e); } } Catch (Exception $e) { throw new Exception('hi', 6, $e); } } catch (Exception $e) { echo $e->getMessage(), "\n"; while ($e = $e->getPreviousException()) { echo $e->getMessage(), "\n"; } }
Output for 7.0.0 - 7.2.0
hi Fatal error: Uncaught Error: Call to undefined method Exception::getPreviousException() in /in/K3tsH:28 Stack trace: #0 {main} thrown in /in/K3tsH on line 28
Process exited with code 255.
Output for 5.5.0 - 5.6.28
hi Fatal error: Call to undefined method Exception::getPreviousException() in /in/K3tsH on line 28
Process exited with code 255.